<?php

/* a minimum init for CPG without all the extra baggage
 * for use where no display is expected (ajax?)
 */

set_include_path(get_include_path() . PATH_SEPARATOR . '../../' . PATH_SEPARATOR . '../../include');

require 'config.inc.php';

// Connect to database
list($db_ext, $db_sub) = explode(':', $CONFIG['dbtype'].':');
$db_ext = $db_ext ?: 'mysqli';
require 'database/'.$db_ext.'/dbase.inc.php';
$CPGDB = new CPG_Dbase($CONFIG);

if (!$CPGDB->isConnected()) {
    die('FAILED: unable to connect to database!'."\n".$CPGDB->db_type.' said: ' . $CPGDB->getError());
}

require 'functions.inc.php';

$CONFIG['TABLE_CONFIG'] = $CONFIG['TABLE_PREFIX'].'config';
$CONFIG['TABLE_USERGROUPS'] = $CONFIG['TABLE_PREFIX'].'usergroups';
$CONFIG['TABLE_CATMAP'] = $CONFIG['TABLE_PREFIX'].'categorymap';

// Retrieve DB stored configuration
$result = $CPGDB->query("SELECT name, value FROM {$CONFIG['TABLE_CONFIG']}");
if (!$result) die('FAILED: unable to read config from database!'."\n".$CPGDB->db_type.' said: ' . $CPGDB->getError());
while ( ($row = $result->fetchAssoc()) ) {
    $CONFIG[$row['name']] = $row['value'];
} // while
$result->free();

define('IN_COPPERMINE', 1);
require 'inspekt.php';
require 'logger.inc.php';

$superCage = Inspekt::makeSuperCage(false);

// Reference 'site_url' to 'ecards_more_pic_target'
$CONFIG['site_url'] =& $CONFIG['ecards_more_pic_target'];


// Set UDB_INTEGRATION if enabled in admin
if ($CONFIG['bridge_enable'] == 1 && !defined('BRIDGEMGR_PHP')) {
	$BRIDGE = cpg_get_bridge_db_values();
} else {
	$BRIDGE['short_name'] = 'coppermine';
	$BRIDGE['recovery_logon_failures'] = 0;
	$BRIDGE['use_post_based_groups'] = false;
}

function cpgGetMicroTime()
{
	list($usec, $sec) = explode(' ', microtime());
	return ((float)$usec + (float)$sec);
}

define('UDB_INTEGRATION', $BRIDGE['short_name']);

require_once 'bridge/' . UDB_INTEGRATION . '.inc.php';

// Parse cookie stored user profile
user_get_profile();

// Authenticate
$cpg_udb->authenticate();

